Installer Cauldron via l'OpenMod


#1

Bonjour à tous ,

Je rédige ce tutoriel car il m’a été très demandé :wink:

1° Ce qu’il vous faut :

  • Un serveur de type " Mania "
  • Un ordinateur
  • FileZilla
  • Cauldron

2° C’est parti :
Donc tout d’abord , vous devez vous rendre sur le site de Cauldron( http://cauldron.minecraftforge.net/ ) et cliquez sur l’onglet " Downloads "

Vous arriverez ici :

Vous téléchargez la version de cauldron que vous voulez (donc soit 1.6.4 soit 1.7.10):

Ensuite vous devez télécharger le “SpigotPatcher” disponible sur le site de spigot (ici)

Et pour finir vous devez télécharger un patch (il faudra avoir un compte sur le forum pour pouvoir télécharger le fichier!) compatible avec la version de Cauldron que vous allez utiliser :

Vous créez un dossier et vous mettez tous les fichiers téléchargés dedans :

Vous ouvrez votre console maintenant, vous allez devoir vous déplacer dans le dossier là où tous vos fichiers se situent (via la commande “cd …/…/…”) :

Ensuite vous allez taper la commande suivante (/!\ la commande sera surement différente pour vous /!\ sauf si vous avez les mêmes fichiers que moi) :

java -jar SpigotPatcher-1.0.jar cauldron-1.7.10-1.1207.01.198-installer.jar CauldronInstallerPatch-1.1231.04.209.bps spigot-patched.jar

Si vous n’avez pas les mêmes fichiers que moi, vous devrez changer légèrement la commande (à adapter en fonction du nom des fichiers que vous avez) :

java -jar SpigotPatcher-1.0.jar cauldron-LaVersion-installer.jar CauldronInstallerPatch-LaVersionDuPatch.bps spigot-patched.jar

Vous devriez obtenir ce message après l’exécution de la commande :

Normalement vous devriez avoir un nouveau fichier dans votre dossier : “spigot-patched.jar”, c’est le nouveau nom de votre Cauldron qui a été patché, vous le déplacez sur votre bureau et vous l’ouvrez :

Vous arrivez sur une petite interface ayant pour nom " Mod system installer " .

Vous cliquez sur les 3 petits points pour définir la destination (moi je choisis le bureau) :

Et vous cliquez sur “Ok” :

Le logiciel va commencer à télécharger les différents fichiers et le dossier dont vous aurez besoin pour lancer cauldron sur votre serveur :

Une fois l’opération effectuée , vous pouvez supprimer la version “spigot-patched.jar” et vous devriez avoir sur votre bureau 2 fichiers et un dossier :


Vous allez tout uploader à la racine de votre serveur via votre accès FTP

Normalement après le transfert , vous devriez avoir ceci comme fichiers ( minecraft de base + cauldron ) :

Vous vous rendez maintenant sur votre panel , vous cliquez sur " configurer "

Vous sélectionnez en openmod la version " cauldron-LaVersionQueVousAvezChoisie-server.jar "

Vous sauvegardez

Et vous redémarrez votre serveur et normalement vous devriez voir ces logs apparaitre :

Voilà le tutoriel est terminé , j’espère qu’il vous sera utile :slight_smile:
Bonne fin de vacances à tous

Cordialement


#2

bonjour j arrive a mettre le dossier librairies dans le ftp quand je le mes dans le upload il disparaît aussitôt que je mais le fichier quelqu un peu m aide svp?


#3

Bonjour,

Voila un bon tuto pour installer cauldron et je t’en remercie, mais a quel moment je l’installe ? je m’explique. Je vois que tu as déja des fichier load sur ton serveur, donc faut il lancer une première fois le serveur sur minecraft classic sur la version que l’on veut jouer? ou l’on suprime tout les fichier de la racine et on installe cauldron après?

Mon cas es que je veut mettre des plugings sur ftb monster, donc je veut installer cauldron pour metre les mod de monster et ensuite mettre les pluging que je veut sur mon serveur.

Cordialement


#4

Tu peux tout supprimer , démarrer ton serveur avec le minecraft_server ( afin qu’il génère tous les fichiers ) et puis le redémarrer sous cauldron

Cordialement
[hr]

Étrange peux tu contacter le support ?


#5

j’ai fait comme dit le serveur créer les fichier et se lance, mais je peu pas aller dessu avec le launcher ftb. je n"est pas installer de mod ou de pluging pour le moment, je test juste une connexion simple.

voici le message d’erreur lors de ma tentative de connection via launcher ftb :

Forge Mod Loader has found ID mismatches
Complete details in the log file
ID 343 is mismatched between world and game
ID 152 is mismatched between world and game
ID 102 is mismatched between world and game
ID 342 is mismatched between world and game
ID 20 is mismatched between world and game
ID 335 is mismatched between world and game
ID 124 is mismatched between world and game
ID 123 is mismatched between world and game
ID 407 is mismatched between world and game
ID 328 is mismatched between world and game

je me trompe peu être en pensant pouvoir accéder a un serveur cauldron avec le launcher ftb, pourtant c’est se que j’aimerai faire, rentrer sur mon serveur avec mod et pluging via le launcher ftb monster.

Cordialement.


#6

Sur ta map tu as utilisé des mods et vu qu’ils ne sont pas présent , tu ne peux pas te connecter au serveur

Cordialement


#7

la map a été générer par minecraft_serv, nouvelle map avec aucun mod donc.

Cordialement


#8

Étrange , et avec le client normal ?


#9

Donc avec le client normale et forge d’installer dessus je peu entrer sur mon serveur, donc sa viendrai du launcher ftb monster et de ces mod installer dessus. je penssai que l’on pouvait pourtant rentrer sur un serveur avec des mods en trop!

Si je rajoute les mods monster sur le serveur peut être que cela marchera?

Cordialement

PS : si vous aviez un moment a m’accorder sur TS ou skype :wink:


#10

Nous ne faisons pas de support skype / ts
Mais si vous installez les mods du Modpack Monster , vous devriez pouvoir vous connecter .

Cordialement


#11

Apres avoir installer les mods monster télécharger ici :

http://www.feed-the-beast.com/server-download

le serveur refuse de démarrer.

dans le dossier télécharger il y a 3dossier et 1 .jar 1 .bat 1 .sh

je ne mais pas les .jar .bat .sh sur mon serveur car inutile selon moi
je prend donc les dossier config librairies et mods que je place dans le serveur, lorsque le serveur demande de remplacer les dossier qui sont identique ou portant le même nom je mais “ne pas remplacer”

Une idée?

Cordialement


#12

Quels .jar as tu dans le modpack ?

Cordialement


#13

le .jar du mod pack le FTBServer-1.6.4-965.jar


#14

Tutoriel mis à jour afin d’introduire les patch de cauldron


#15

help svp
je vais bien dans le fichier demander avec le cmd
je tape bien la command
java -jar SpigotPatcher-1.0.jar cauldron-1.7.10-1.1207.01.198-installer.jar CauldronInstallerPatch-1.1231.04.209.bps spigot-patched.jar
et se ma dit
’java’ n’est pas reconnu en tant que commande interne
ou externe, un programme exécutable ou un fichier de commandes.


#16

Est ce que java est bien installé sur ton ordinateur ?

Cordialement


#17

oui il est bien installer installer sur mon ordinateur

mais petite question mon ami la fait pour moi car je sais pas pourquoi lui il peut quand on se connecte sur le serveur on ne peut pas se op :confused:


#18

Quelle erreur obtiens tu ?

Cordialement


#19

voila ce que cela me marque

[Server thread/WARN]: Unexpected exception while parsing console command "op"
java.lang.IllegalArgumentException: Sender cannot be null
at org.apache.commons.lang.Validate.notNull(Validate.java:192) ~[Validate.class:2.6]
at org.bukkit.craftbukkit.v1_7_R4.CraftServer.dispatchCommand(CraftServer.java:714) ~[CraftServer.class:git-Cauldron-MCPC-Plus-1.7.10-1.1231.04.209]
at org.bukkit.craftbukkit.v1_7_R4.CraftServer.dispatchServerCommand(CraftServer.java:697) [CraftServer.class:git-Cauldron-MCPC-Plus-1.7.10-1.1231.04.209]
at net.minecraft.server.MinecraftServer$6.evaluate(MinecraftServer.java:1785) [lm.class:?]
at net.minecraft.server.MinecraftServer$6.evaluate(MinecraftServer.java:1775) [lm.class:?]
at org.bukkit.craftbukkit.v1_7_R4.util.Waitable.run(Waitable.java:24) [Waitable.class:git-Cauldron-MCPC-Plus-1.7.10-1.1231.04.209]
at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:869) [MinecraftServer.class:?]
at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:423) [lt.class:?]
at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:798) [MinecraftServer.class:?]
at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:658) [MinecraftServer.class:?]
at java.lang.Thread.run(Thread.java:744) [?:1.7.0_51]

et quand je veut me op ou m’ajouter dans ma whitelist avec le panneau d’administration il ne se passe rien


#20

Cela vient de Cauldron, plusieurs personnes ont signalé le bug, il ne reste plus qu’à attendre qu’il corrige ce bug

Cordialement